body {
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
  font-size: 16px;
  margin: 0;
}

h1 {
  text-align: center;
  margin-bottom: 2rem;
}

h2,
h3 {
  margin: 0;
}

label {
  font-size: 1.2rem;
}

.hidden {
  display: none;
}

/* shows page */

#show-list-page {
  position: absolute;
  top: 0;
  margin: 0 auto;

  width: 100%;
  min-height: 100vh;
}

#show-list-page__header {
  margin: 0;
}

#show-list-page__filter {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: center;
  align-items: center;
}

#show-list-page__main {
  background-color: #f5f6f7;
}

#show-list-page__list {
  padding: 1rem 8rem 4rem;

  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}

/* show card */

.show-card {
  padding: 1rem;
  background: #ffffff;
  background: linear-gradient(
    60deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(232, 232, 232, 1) 100%
  );

  border-radius: 5px;
  box-shadow: 2px 2px 5px #00000063;

  width: 100%;
}

.show-card__title {
  display: inline-block;
  text-align: left;
  font-size: 2rem;
  padding: 0 0 1rem;

  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.show-card__title:hover,
.show-card__title:focus {
  color: #0049e6;
  scale: 1.04;
  transition: all 0.2s ease-in-out;
}

.show-card__content-container {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
}

.show-card__img {
  width: auto;
  height: 100%;
}

.show-card__summary {
  flex: 2 1 50%;
  min-width: 350px;
}

.show-card__summary p {
  margin: 0 auto;
}

.show-card__info {
  flex: 1 2 150px;

  padding: 0.5rem 2rem;
  background-color: #f5f6f7;

  border-radius: 5px;
  box-shadow: 1px 1px 5px #00000063;
}
/* episodes page */

header {
  margin: 0 auto 1rem;
  padding: 1rem;
  background-color: #c3c3c3;
  text-align: center;
}

#show-episode-bar {
  display: grid;
  gap: 1rem;
  justify-items: center;
}

.search-bar {
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

#show-episode-selectors__container {
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.search-input-general {
  padding: 0.3rem;
  min-width: 300px;
  max-width: 300px;
  font-size: 1rem;
  border-radius: 5px;
  border: 1px solid #ccc;
  width: 30%;
  box-sizing: border-box;
  box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.2);
}

.search-bar h2 {
  font-size: 1.3rem;
  margin: 0;
}

#reset-search {
  height: 2rem;
  width: 150px;

  border-radius: 8px;
  border: none;

  background-color: #d40d0d;
  color: white;
  font-size: 1rem;
  box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.2);

  cursor: pointer;

  transition: all 0.2s ease-in-out;
}

#reset-search:hover {
  background-color: #c40c0c;
  scale: 1.05;
  transition: all 0.2s ease-in-out;
}

#back-to-show-page {
  height: 2rem;
  width: 150px;

  border-radius: 8px;
  border: none;

  background-color: #0049e6;
  color: white;
  font-size: 1rem;
  box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.2);

  cursor: pointer;

  transition: all 0.2s ease-in-out;
}

#back-to-show-page:hover {
  background-color: #1300b9;
  scale: 1.05;
  transition: all 0.2s ease-in-out;
}

.episodes-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;

  padding-bottom: 4rem;
}

/* episode card */

.episode-card {
  width: 350px;
  padding: 1rem;
  background: #ffffff;
  background: linear-gradient(
    60deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(232, 232, 232, 1) 100%
  );

  border-radius: 5px;
  box-shadow: 2px 2px 5px #00000063;
}

.episode-card__title {
  padding: 1rem;
  margin: 0;

  border: solid 2px #000;
  border-radius: 10px;

  text-align: center;
}

.episode-card__data {
  display: grid;
  justify-items: center;
  padding: 1.5rem;
}

footer {
  position: fixed;
  bottom: 0;
  height: 3rem;
  width: 100%;
  background-color: #c3c3c3;
  text-align: center;
}

footer a {
  text-decoration: none;
  font-weight: bold;

  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

footer a:visited {
  text-decoration: none;
  color: initial;
}

footer a:hover,
footer a:active {
  color: #0049e6;
  transition: all 0.2s ease-in-out;
}

#fetch-message {
  position: absolute;
  margin: 0;
  padding: 2rem;
  background-color: white;
  top: 0;
  width: 100%;
  height: 100%;
  color: red;
  text-align: center;
  font-size: 2rem;
}

.message {
  padding: 2rem;
  background-color: white;
  width: 100%;
  height: 100%;
  color: red;
  text-align: center;
  font-size: 2rem;
}

@media (max-width: 768px) {
  #show-list-page__list {
    padding: 0 0 4.5rem;
  }

  .show-card {
    padding: 0.5rem;
  }

  .show-card__img {
    margin: 0 auto;
  }

  .show-card__title {
    width: 100%;
    text-align: center;
  }

  .show-card__summary {
    min-width: fit-content;
    width: 100%;
  }

  .show-card__info {
    padding: 0.5rem;
  }

  .show-card__info p {
    margin: 0;
  }

  .episode-card {
    width: 90%;
    padding: 0.5rem;
  }

  .episode-card__title {
    padding: 0.5rem;
  }

  .episode-card__img {
    margin-bottom: 0.5rem;
  }

  .episode-card__data {
    grid-template-columns: 1fr;
    margin-top: 0.5rem;
    padding: 0.5rem;
  }

  .episode-card__data p {
    margin: 0;
  }

  #reset-search {
    margin-bottom: 1rem;
  }

  footer {
    height: auto;
  }
  footer p {
    margin: 0.5rem;
  }
}
